# Enum Class VulkanSamplerMipmapMode

java.lang.Object
java.lang.Enum<VulkanSamplerMipmapMode>
com.io7m.jcoronado.api.VulkanSamplerMipmapMode

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanSamplerMipmapMode>`, `Constable`

public enum VulkanSamplerMipmapMode extends Enum<VulkanSamplerMipmapMode> implements VulkanEnumIntegerType

See Also:
  - "VkSamplerMipmapMode"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_SAMPLER_MIPMAP_MODE_LINEAR`
  Specifies linear filtering.
  `VK_SAMPLER_MIPMAP_MODE_NEAREST`
  Specifies nearest filtering.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanSamplerMipmapMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanSamplerMipmapMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_SAMPLER_MIPMAP_MODE_NEAREST

    public static final VulkanSamplerMipmapMode VK_SAMPLER_MIPMAP_MODE_NEAREST
    Specifies nearest filtering.

  - ### VK_SAMPLER_MIPMAP_MODE_LINEAR

    public static final VulkanSamplerMipmapMode VK_SAMPLER_MIPMAP_MODE_LINEAR
    Specifies linear filtering.

- ## Method Details

  - ### values

    public static VulkanSamplerMipmapMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanSamplerMipmapMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant